> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trainy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get full run details

> Returns complete run information including config, metadata, tags, status, and available log names.



## OpenAPI

````yaml /pluto/api-reference/openapi.json get /api/runs/details/{runId}
openapi: 3.0.0
info:
  title: mlop API
  version: 1.0.0
  description: API for mlop - ML experiment tracking platform
servers:
  - url: https://pluto-api.trainy.ai
    description: API Server
security:
  - bearerAuth: []
paths:
  /api/runs/details/{runId}:
    get:
      tags:
        - Runs
      summary: Get full run details
      description: >-
        Returns complete run information including config, metadata, tags,
        status, and available log names.
      parameters:
        - schema:
            type: number
            nullable: true
            description: Numeric run ID
          required: false
          name: runId
          in: path
      responses:
        '200':
          description: Run details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunDetailsResponse'
        '404':
          description: Run not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    RunDetailsResponse:
      type: object
      properties:
        id:
          type: number
        name:
          type: string
        number:
          type: number
          nullable: true
          description: Sequential run number within the project
        displayId:
          type: string
          nullable: true
          description: Human-readable display ID (e.g., 'MMP-1')
        status:
          type: string
        tags:
          type: array
          items:
            type: string
        config:
          nullable: true
        systemMetadata:
          nullable: true
        loggerSettings:
          nullable: true
        statusMetadata:
          nullable: true
        createdAt:
          type: string
        updatedAt:
          type: string
        statusUpdated:
          type: string
          nullable: true
        projectName:
          type: string
        externalId:
          type: string
          nullable: true
        forkedFromRunId:
          type: number
          nullable: true
        forkStep:
          type: number
          nullable: true
        logNames:
          type: array
          items:
            type: object
            properties:
              logName:
                type: string
              logType:
                type: string
              logGroup:
                type: string
                nullable: true
            required:
              - logName
              - logType
              - logGroup
      required:
        - id
        - name
        - number
        - displayId
        - status
        - tags
        - createdAt
        - updatedAt
        - statusUpdated
        - projectName
        - externalId
        - forkedFromRunId
        - forkStep
        - logNames
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key obtained from the mlop dashboard

````